/////////////////////////////////////////////////////////////////////////////
// Name:       
// Purpose:  
// Author:      Cesar Mauri Loba (cesar at crea-si dot com)
// Modified by: 
// Created:     
// Copyright:   (C) 2010 Cesar Mauri Loba - CREA Software Systems
// 
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
/////////////////////////////////////////////////////////////////////////////


#ifndef _MIDICONFIGURATION_H_
#define _MIDICONFIGURATION_H_


/*!
 * Includes
 */

////@begin includes
////@end includes
#include "midicontroller.h"

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_CMIDICONFIGURATION 10071
#define ID_BUTTON_CHANGE_MIDIOUT 10072
#define ID_BUTTON_TEST_MIDIOUT 10073
#define ID_BUTTON_CLOSE_MIDI_CONFIG 10074
#define SYMBOL_CMIDICONFIGURATION_STYLE wxCAPTION|wxRESIZE_BORDER|wxSYSTEM_MENU|wxCLOSE_BOX|wxTAB_TRAVERSAL
#define SYMBOL_CMIDICONFIGURATION_TITLE _("MIDI Configuration")
#define SYMBOL_CMIDICONFIGURATION_IDNAME ID_CMIDICONFIGURATION
#define SYMBOL_CMIDICONFIGURATION_SIZE wxSize(400, 300)
#define SYMBOL_CMIDICONFIGURATION_POSITION wxDefaultPosition
////@end control identifiers


/*!
 * CMIDIConfiguration class declaration
 */

class CMIDIConfiguration: public wxDialog
{    
    DECLARE_DYNAMIC_CLASS( CMIDIConfiguration )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CMIDIConfiguration();
    CMIDIConfiguration( wxWindow* parent, wxWindowID id = SYMBOL_CMIDICONFIGURATION_IDNAME, const wxString& caption = SYMBOL_CMIDICONFIGURATION_TITLE, const wxPoint& pos = SYMBOL_CMIDICONFIGURATION_POSITION, const wxSize& size = SYMBOL_CMIDICONFIGURATION_SIZE, long style = SYMBOL_CMIDICONFIGURATION_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_CMIDICONFIGURATION_IDNAME, const wxString& caption = SYMBOL_CMIDICONFIGURATION_TITLE, const wxPoint& pos = SYMBOL_CMIDICONFIGURATION_POSITION, const wxSize& size = SYMBOL_CMIDICONFIGURATION_SIZE, long style = SYMBOL_CMIDICONFIGURATION_STYLE );

    /// Destructor
    ~CMIDIConfiguration();

private:
    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

////@begin CMIDIConfiguration event handler declarations

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_BUTTON_CHANGE_MIDIOUT
    void OnButtonChangeMidioutClick( wxCommandEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_BUTTON_TEST_MIDIOUT
    void OnButtonTestMidioutClick( wxCommandEvent& event );

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_BUTTON_CLOSE_MIDI_CONFIG
    void OnButtonCloseMidiConfigClick( wxCommandEvent& event );

////@end CMIDIConfiguration event handler declarations

////@begin CMIDIConfiguration member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CMIDIConfiguration member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin CMIDIConfiguration member variables
    wxStaticText* m_txtOutDeviceName;
////@end CMIDIConfiguration member variables
	CMidiOut* m_midiOut;
};

#endif
    // _MIDICONFIGURATION_H_
