/////////////////////////////////////////////////////////////////////////////
// Name:       
// Purpose:  
// Author:      Cesar Mauri Loba (cesar at crea-si dot com)
// Modified by: 
// Created:     
// Copyright:   (C) 2010 Cesar Mauri Loba - CREA Software Systems
// 
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
/////////////////////////////////////////////////////////////////////////////
#include "puredatapatch.h"

CPureDataPatch::CPureDataPatch(const wxString& name)
{
	wxString fullPatchName;
	if (!::wxIsAbsolutePath(name))
	{
        // If not absolute path, turn it absolute
		fullPatchName= wxGetCwd();
		fullPatchName.Append (_T("/../pd/"));
		fullPatchName.Append (name);
	}
	else
		fullPatchName= name;
	
	m_patchId= CPureDataSimpleController::getInstance()->OpenPatch(fullPatchName);
}

CPureDataPatch::~CPureDataPatch()
{
	if (m_patchId.Length()> 0) {
		try{
			CPureDataSimpleController::getInstance()->ClosePatch(m_patchId);
		}
		catch(...) { }	// ignore exceptions
	}
}
