;  Copyright (C) 2010 Cesar Mauri Loba
;
;   Permission is hereby granted, free of charge, to any person obtaining a
;   copy of this software and associated documentation files (the "Software"),
;   to deal in the Software without restriction, including without limitation
;   the rights to use, copy, modify, merge, publish, distribute, sublicense,
;   and/or sell copies of the Software, and to permit persons to whom the
;   Software is furnished to do so, subject to the following conditions:
;
;   The above copyright notice and this permission notice shall be included in
;   all copies or substantial portions of the Software.
;
;   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
;   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
;   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
;   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
;   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
;   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
;   DEALINGS IN THE SOFTWARE.
;
;   Inno Setup installer script
;

#define APPNAME			"SITPLUS-Project"
#define APPNAME_SHORT	"sitplus"
#define VERSION         "0.9"
#define PUBLISHER		"Cesar Mauri - CREA Software Systems"
#define VERTEXT			"v0.9"
#define APPBIN			"mviacam.exe"
#define COPYRIGHTY		" 2010"

[Setup]
AppName={#APPNAME}
AppVerName={#APPNAME} {#VERSION}
AppPublisher={#PUBLISHER}
AppCopyright={#COPYRIGHTY} {#PUBLISHER}
AppVersion={#VERSION}
AppUpdatesURL=http://sitplus.crea-si.com
AppPublisherURL=http://www.crea-si.com

VersionInfoTextVersion={#VERTEXT}
VersionInfoCopyright={#COPYRIGHTY} {#PUBLISHER}
VersionInfoVersion={#VERSION}
VersionInfoCompany={#PUBLISHER}
VersionInfoDescription=Installer for {#APPNAME}
VersionInfoProductName={#APPNAME}
VersionInfoProductVersion={#VERSION}

SourceDir=..
DefaultDirName={pf}\{#APPNAME}
UninstallDisplayIcon={app}\bin\{#APPBIN}
DefaultGroupName={#APPNAME}
LicenseFile=COPYING
OutputBaseFilename={#APPNAME}-{#VERSION}
PrivilegesRequired=poweruser

MinVersion=0,5.0.2195sp3
UsePreviousSetupType=true
UsePreviousGroup=false
DirExistsWarning=yes
Compression=zip/9
ShowLanguageDialog=yes

AppID={{e0db49e0-1268-11de-8c30-0800200c9a66}
OutputDir=win32
InfoBeforeFile=doc\installnote.rtf

[Files]
;
; mViacam files + patchs
;
Source: doc\license.rtf; DestDir: {app}; Flags: recursesubdirs ignoreversion
Source: doc\*.png; DestDir: {app}\bin; Flags: ignoreversion
Source: doc\*.pdf; DestDir: {app}\doc; Flags: recursesubdirs ignoreversion
Source: THANKS; DestDir: {app}\bin; DestName: THANKS
Source: pd\*; DestDir: {app}\pd; Flags: recursesubdirs ignoreversion
Source: win32\Release Unicode\bin\*; DestDir: {app}\bin; Flags: recursesubdirs ignoreversion
;
; ASIO4ALL drivers
;
;Source: ..\win32\complements\ASIO4ALL_2_9_Espanol.exe; DestDir: {tmp}; Flags: deleteafterinstall; Tasks: installasio

[Tasks]
Name: desktopicon; Description: {cm:CreateDesktopIcon}

[Icons]
Name: {group}\{#APPNAME}; Filename: {app}\bin\{#APPBIN}; WorkingDir: {app}\bin
Name: {group}\{cm:UninstallProgram,{#APPNAME}}; Filename: {uninstallexe}
Name: {userdesktop}\{#APPNAME}; Filename: {app}\bin\{#APPBIN}; WorkingDir: {app}\bin; Tasks: desktopicon
Name: {group}\Manual; Filename: {app}\doc\SITPLUS-Manual-en.pdf; Tasks: ; Languages: English Italiano
Name: {group}\Manual; Filename: {app}\doc\Manual-SITPLUS-es.pdf; Tasks: ; Languages: Castellano
Name: {group}\Manual; Filename: {app}\doc\Manual-SITPLUS-ca.pdf; Tasks: ; Languages: Catala

[Run]
;Filename: {app}\doc\README.txt; Flags: postinstall shellexec
;Filename: {app}\doc\README.ca.txt; Flags: postinstall shellexec; Tasks: ; Languages: Catala; Verb: open
;Filename: {app}\bin\{#APPBIN}; WorkingDir: {app}\bin; Flags: postinstall nowait; Tasks: ; Languages:
;Filename: {app}\bin\fixvfwfps.exe; Flags: runminimized; Tasks:

[Components]

[Languages]
Name: Catala; MessagesFile: compiler:Languages\Catalan.isl; InfoBeforeFile: doc\installnote-ca.rtf
Name: Castellano; MessagesFile: compiler:Languages\Spanish.isl; InfoBeforeFile: doc\installnote-es.rtf 
Name: English; MessagesFile: compiler:Default.isl
Name: Italiano; MessagesFile: compiler:Languages\Italian.isl

[Registry]
Root: HKCU; Subkey: Software\{#APPNAME_SHORT}; ValueType: string; ValueName: language; ValueData: english; Languages: English
Root: HKCU; Subkey: Software\{#APPNAME_SHORT}; ValueType: string; ValueName: language; ValueData: spanish; Languages: Castellano
Root: HKCU; Subkey: Software\{#APPNAME_SHORT}; ValueType: string; ValueName: language; ValueData: catalan; Languages: Catala
Root: HKCU; Subkey: Software\{#APPNAME_SHORT}; ValueType: string; ValueName: language; ValueData: italian; Languages: Italiano

[_ISTool]
Use7zip=false
UseAbsolutePaths=false
